
Redmine - Feature #1567

Make author column sortable and groupable

2008-07-03 12:58 - Henning Perl

Status: Closed Start date: 2008-07-03

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Is it possible to make the author-column sortable in source:/trunk/app/views/issues/_list.rhtml ? Right now I only got it to work with

author_id, which is not the best solution:

in source:/trunk/app/models/query.rb (line 100):

QueryColumn.new(:author, :sortable => "#{Issue.table_name}.author_id")

Related issues:

Related to Redmine - Feature #7867: Add filters for "Author's group" and "Aut... Closed 2011-03-15

Has duplicate Redmine - Defect #3613: Author column not sortable in Issues Closed 2009-07-13

Has duplicate Redmine - Feature #7764: Allow issue list to be sorted by "Auth... Closed 2011-03-03

Associated revisions

Revision 7843 - 2011-11-19 13:47 - Jean-Philippe Lang

Makes author column sortable and groupable on the issue list (#1567).

History

#1 - 2011-04-26 18:01 - Etienne Massip

- Category set to Issues

#2 - 2011-04-26 18:01 - Etienne Massip

- Target version set to Candidate for next major release

#3 - 2011-07-21 13:11 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.3.0

#4 - 2011-10-13 09:27 - Akiko Takano

I hope that author-column not only sortable but also groupable.

Such as:

QueryColumn.new(:author, :sortable => "#{Issue.table_name}.author_id", :groupable => true),

#5 - 2011-11-19 13:48 - Jean-Philippe Lang

- Subject changed from make author-column sortable to Make author column sortable and groupable

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Added in r7843.
